Export scheduled query results

Server: https://{kibana_url}
  • POST /api/osquery/scheduled_results/{scheduleId}/{executionCount}/_export
  • POST /s/{space_id}/api/osquery/scheduled_results/{scheduleId}/{executionCount}/_export

Refer to Spaces for more information.

Export all result rows for a specific scheduled query execution as a downloadable file. The response is a streaming file attachment in the requested format.

Query Parameters

format enum required

The output format of the exported file.

Values: ndjson json csv

Responses

403

The authenticated user does not have the osquery-read privilege required to export scheduled query results.